// creator  : weidu.exe (version 23100)
// argument : UDDOOR01.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~UDDOOR01~

IF ~~ THEN BEGIN 0 // from: VICONIJ:105.0 3.0
  SAY #51655 /* ~Intruders without cause will be killed where they stand! Speak your purpose!~ */
  IF ~~ THEN REPLY #51959 /* ~I am <CHARNAME>, from the lair of Adalon!~ */ GOTO 1
  IF ~~ THEN REPLY #51960 /* ~Please, I beg of you, allow me entry. I am the humble Veldrin from Ched Nasad.~ */ GOTO 4
  IF ~Gender(LastTalkedToBy,MALE)~ THEN REPLY #51962 /* ~I am your death if I am not allowed entry! Move aside!~ */ GOTO 5
  IF ~Gender(LastTalkedToBy,MALE)~ THEN REPLY #51963 /* ~I am Veldrin, from the city of Ched Nasad.~ */ GOTO 6
  IF ~Gender(LastTalkedToBy,FEMALE)~ THEN REPLY #52001 /* ~Stand down, male worm! I am Veldrin from the city of Ched Nasad. Let me pass!~ */ GOTO 6
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #51991 /* ~What? No patrol has returned from that winged serpent's lair alive. No doubt this is some trick of hers and you are exceptionally dim to have tipped me to it!~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 5.0 4.0 1.0
  SAY #51994 /* ~The city of Ust Natha rejects you! Nothing but the sleep of death awaits you here!~ */
  IF ~~ THEN DO ~SetGlobal("DrowCityHostile","GLOBAL",1)
Enemy()~ EXIT
END

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 3 // from:
  SAY #51995 /* ~Who is there! You are Drow, but there are no scheduled patrols this day! Identify yourselves!~ */
  IF ~!IsValidForPartyDialogue("VICONIA")~ THEN GOTO 0
  IF ~IsValidForPartyDialogue("VICONIA")~ THEN EXTERN ~VICONIJ~ 103
END

IF ~~ THEN BEGIN 4 // from: 0.1
  SAY #52003 /* ~A sickening display! You are no Drow at heart! You cower like a kobold! Such a weakling was likely outcast from Ched Nasad!~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 5 // from: 0.2
  SAY #52005 /* ~You will cause no one's death but your own! Such demands are not made of the city gate!~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 6 // from: 0.4 0.3
  SAY #52007 /* ~My apologies, I merely follow my duty in questioning you. You are welcome to pass, Veldrin of Ched Nasad.~ */
  IF ~~ THEN GOTO 9
END

IF ~~ THEN BEGIN 7 // from: VICONIJ:104.0
  SAY #52008 /* ~You are welcome within, travelers from Ched Nasad. I regret my tone but all must be examined before entry to Ust Natha.~ */
  IF ~~ THEN GOTO 9
END

IF ~~ THEN BEGIN 8 // from:
  SAY #52010 /* ~Veldrin? I do not know the name but you may pass. The gate will allow your entry to Ust Natha.~ */
  IF ~~ THEN GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.0 7.0 6.0
  SAY #52012 /* ~There would normally be an extensive questioning of you, but we were expecting your group from Ched Nasad. Your late arrival has delayed the plans of Solaufein.~ */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #52014 /* ~Enter quickly, and be sure that you seek Solaufein's counsel. He of the Male Fighter's Society will instruct you on your conduct within Ust Natha.~ */
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY #52015 /* ~Be aware that your welcome is conditional, and that if you fail to meet with him or fail him in any other way, you will be hunted for sport by all that care to join in.~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 12 // from: 11.0
  SAY #52016 /* ~The Male Fighter's Society is in the North end of the city, past the Female Fighter's Society and just before the Spider pit.~ */
  IF ~~ THEN DO ~SetGlobalTimer("udSolTimer","GLOBAL",THREE_DAYS)
SetGlobal("udSolTimerOn","GLOBAL",1)
EscapeArea()~ UNSOLVED_JOURNAL #61412 /* ~Inside the Drow City

It appears that Veldrin, whose form I hold, was expected in the drow city by a drow commander named Solaufein.  I am to meet him at the Male Fighters' Society... in the north end of the city past the Female Fighters' Society and just before the Spider Pit.  Not doing so would likely look... suspicious.~ */ EXIT
END
